> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Get all tasks

GET https://api.taigabilling.com/api/tasks/v3

Reference: https://docs.taigabilling.com/api-reference/tasks-v-3/tasks-v-3-get-multi

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Query parameters

- `limit` (integer, optional) — Defaults to 100
- `page_token` (string, optional)
- `status` (enum, optional)
  - Allowed values: `finished`, `addressed_by_provider_group`, `sent_to_provider_group`, `open`, `blocked`, `waiting_for_review`, `in_progress`
- `statuses` (string, optional) — Only return tasks with a status that matches one in this comma-separated list.
- `task_type` (enum, optional)
  - Allowed values: `CUSTOMER_DATA_REQUEST`, `CLAIM_SUBMISSION_RUN_VALIDATIONS_FAILURE`, `CLAIM_SUBMISSION_SUBMIT_CLAIM_FAILURE`, `CLAIM_SUBMISSION_TRANSFORM_FAILURE`, `CODE_CLAIM`, `CODE_CLAIM_REVIEW`, `ELIGIBILITY`, `CLAIM_FOLLOW_UP`, `REJECTION_RESOLUTION`, `PAYER_CONFIGURATION_ERROR`, `DENIAL_RESOLUTION`, `MISSING_ENROLLMENT`, `CHARGE_CAPTURE_UPDATE`
- `task_types` (string, optional) — Only return tasks with a task_type that matches one in this comma-separated list.
- `categories` (string, optional) — Only return tasks with categories that match one in this comma-separated list.
- `updated_since` (datetime, optional) — Only return tasks updated on or after this date-time
- `encounter_id` (string, optional) — Only return tasks associated with this encounter
- `search_term` (string, optional) — Query tasks by encounter_id, claim_id, task_id, or external_id
- `assigned_to_id` (string, optional) — Only return tasks assigned to this user
- `date_of_service_min` (date, optional) — The minimum date of service for the linked encounter
- `date_of_service_max` (date, optional) — The maximum date of service for the linked encounter
- `billing_provider_npi` (string, optional) — The NPI of the billing provider associated with the task's claim
- `sort` (enum, optional) — Defaults to updated_at:desc
  - Allowed values: `updated_at:asc`, `updated_at:desc`, `patient_name:asc`, `patient_name:desc`, `patient_external_id:asc`, `patient_external_id:desc`, `payer_name:asc`, `payer_name:desc`, `payer_id:asc`, `payer_id:desc`, `status:asc`, `status:desc`, `task_type:asc`, `task_type:desc`, `category:asc`, `category:desc`, `agg_updated_at:asc`, `agg_updated_at:desc`, `date_of_service:asc`, `date_of_service:desc`, `blocks_claim_submission:asc`, `blocks_claim_submission:desc`

## Response

### 200

- `items` (list of tasksv3Task, required)
- `next_page_token` (string, optional, nullable)
- `prev_page_token` (string, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

- `Tasks_v3_get_multiRequestUnprocessableEntityError`
  - TasksV3GetMultiRequestUnprocessableEntityError0

## Types

### tasksv3Task

- `task_id` (string, required)
- `encounter_id` (string, required)
- `task_type` (enum, required)
  - Allowed values: `CUSTOMER_DATA_REQUEST`, `CLAIM_SUBMISSION_RUN_VALIDATIONS_FAILURE`, `CLAIM_SUBMISSION_SUBMIT_CLAIM_FAILURE`, `CLAIM_SUBMISSION_TRANSFORM_FAILURE`, `CODE_CLAIM`, `CODE_CLAIM_REVIEW`, `ELIGIBILITY`, `CLAIM_FOLLOW_UP`, `REJECTION_RESOLUTION`, `PAYER_CONFIGURATION_ERROR`, `DENIAL_RESOLUTION`, `MISSING_ENROLLMENT`, `CHARGE_CAPTURE_UPDATE`
- `description` (string, required)
- `blocks_claim_submission` (boolean, required)
- `external_id` (string, required)
- `patient_name` (string, required)
- `patient_external_id` (string, required)
- `status` (enum, required)
  - Allowed values: `finished`, `addressed_by_provider_group`, `sent_to_provider_group`, `open`, `blocked`, `waiting_for_review`, `in_progress`
- `notes` (list of tasksv3TaskNote, required)
- `created_at` (datetime, required)
- `updated_at` (datetime, required) — The time of most recent update to the task only
- `agg_updated_at` (datetime, required) — The time of most recent update to the task or any of its notes
- `date_of_service` (date, required)
- `assignments` (list of tasksv3TaskAssignment, required)
- `payer_name` (string, optional, nullable)
- `payer_id` (string, optional, nullable)
- `category` (enum, optional, nullable)
  - Allowed values: `other`, `provider_credentialing`, `authorization_required`, `inactive_coverage`, `unknown_eligibility_or_patient_not_found`, `incorrect_member_id`, `documentation_addendum_request`, `coordination_of_benefits`, `missing_or_incorrect_gender`, `incorrect_date_of_birth`, `incorrect_payer`, `incorrect_name`, `invalid_diagnosis_code`, `non_covered_diagnosis_codes`, `information_requested_from_patient`, `incorrect_rendering_provider_info`, `missing_or_incorrect_modifier`, `coding_frequency_error`, `incorrect_patient_address`, `multiple_em_claims`, `missing_or_incorrect_charge_amount`, `medical_records_request`, `provider_enrollment_or_contracting`, `missing_or_incorrect_group_number`, `missing_diagnosis_codes`, `missing_patient_authorization`, `incorrect_billing_provider_info`, `incorrect_procedure_code`, `incorrect_quantity`, `incorrect_place_of_service_code`, `incorrect_service_facility_info`, `incorrect_date_of_service`, `missing_or_incorrect_ndc`, `patient_collections`, `submit_to_secondary`, `transient_server_error`, `missing_remittance_enrollment`, `missing_claims_enrollment`, `held_by_customer`, `pending_manual_remit_posting`, `incorrect_referring_provider_info`, `payer_configuration_error`, `downcoding_review`
- `configurable_rule_id` (string, optional, nullable)
- `persisted_rule_id` (string, optional, nullable)
- `organization_id` (string, optional, nullable)

### TasksV3GetMultiRequestUnprocessableEntityError0

Limit parameter provided must be greater than 0 and less than 1000.

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnprocessableEntityErrorMessage, optional)

### tasksv3TaskNote

- `task_note_id` (string, required)
- `text` (string, required)
- `created_at` (datetime, required)
- `author_name` (string, required)
- `author_organization_name` (string, required)

### tasksv3TaskAssignment

- `task_assignment_id` (string, required)
- `assignee_user_id` (string, optional, nullable)

### UnprocessableEntityErrorMessage

- `message` (string, optional, nullable)

## Examples

**Response**

```json
{
  "items": [
    {
      "task_id": "string",
      "encounter_id": "string",
      "task_type": "CUSTOMER_DATA_REQUEST",
      "description": "string",
      "blocks_claim_submission": true,
      "external_id": "string",
      "patient_name": "string",
      "patient_external_id": "string",
      "status": "finished",
      "notes": [
        {
          "task_note_id": "string",
          "text": "string",
          "created_at": "2024-01-15T09:30:00Z",
          "author_name": "string",
          "author_organization_name": "string"
        }
      ],
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "agg_updated_at": "2024-01-15T09:30:00Z",
      "date_of_service": "2023-01-15",
      "assignments": [
        {
          "task_assignment_id": "string",
          "assignee_user_id": "string"
        }
      ],
      "payer_name": "string",
      "payer_id": "string",
      "category": "other",
      "configurable_rule_id": "string",
      "persisted_rule_id": "string",
      "organization_id": "string"
    }
  ],
  "next_page_token": "string",
  "prev_page_token": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/tasks/v3"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```